#include "hardware.h"
#include "gpio.h"
#include "uart.h"
#include "timer.h"
#include "adc.h"

int main(void)
{
	int i;
	int val;
	LPC_GPIO0->DIR |= LED_1_PIN|LED_2_PIN;
	LPC_GPIO2->DIR |= 0x80;

	timer_init();
	uart_init();
	adc_init();

	while(1) {
		for (i=0;i<8;i++) {
			val = adc_get(i);
			uart_send("AD");
			uart_send_int(i);
			uart_send(": ");
			uart_send_int(val);
			uart_send("  ");
		}
		uart_send("\n");
		delay(10);
	}
	return 0;

}
