#ifndef UART_H_
#define UART_H_

#define BAUDRATE              	115200
#define BAUDRATEDIVISOR       	(48000000/(BAUDRATE*16))

extern void uart_init(void);
extern void uart_send_byte(const uint8_t byte);
extern void uart_send(const char *s);
extern void uart_send_int(const int32_t x);
extern uint8_t uart_recv_byte(void);

#endif /* UART_H_ */
