#include "hardware.h"
#include "gpio.h"

void GPIOSet(LPC_GPIO_TypeDef* gpio, uint32_t pin)
{
	gpio->MASKED_ACCESS[pin] = pin;
}

void GPIOClear(LPC_GPIO_TypeDef* gpio, uint32_t pin)
{
	gpio->MASKED_ACCESS[pin] = 0;
}

int GPIOGet(LPC_GPIO_TypeDef* gpio, uint32_t pin)
{
	if (gpio->MASKED_ACCESS[pin]) return 1;
	return 0;
}


